package skinning;

public class Skinning {
	private String selectSkinning;
	private String skinning;
	private String skinningClass;
	private String commandButton;
	private String commandLink;
	private String dataTable;
	private String inputSecret;
	private String inputText;
	private String inputTextarea;
	private String outputLink;
	private String outputText;
	private String panelGrid;
	private String selectBooleanCheckbox;
	private String selectManyCheckbox;
	private String selectManyListBox;
	private String selectManyMenu;
	private String selectOneListbox;
	private String selectOneMenu;
	private String selectOneRadio;
	
	public Skinning() {
		commandButton = "rich-button";
		commandLink = "rich-link";
		dataTable = "rich-isindex";
		inputSecret = "rich-button";
		inputText = "rich-input";
		inputTextarea = "rich-textarea";
		commandLink = "rich-link";
		outputLink = "rich-link";
		outputText = "rich-legend";
		panelGrid = "rich-fieldset";
		selectBooleanCheckbox = "rich-select";
		selectManyCheckbox = "rich-select";
		selectManyListBox = "rich-select";
		selectManyMenu = "rich-select";
		selectOneListbox = "rich-select";
		selectOneMenu = "rich-select";
		selectOneRadio = "rich-select";
		skinning = "disable";
		skinningClass = "disable";
		selectSkinning = "none";
	}

	public String getCommandButton() {
		return commandButton;
	}

	public void setCommandButton(String commandButton) {
		this.commandButton = commandButton;
	}

	public String getCommandLink() {
		return commandLink;
	}

	public void setOmmandLink(String commandLink) {
		this.commandLink = commandLink;
	}

	public String getDataTable() {
		return dataTable;
	}

	public void setDataTable(String dataTable) {
		this.dataTable = dataTable;
	}

	public String getInputSecret() {
		return inputSecret;
	}

	public void setInputSecret(String inputSecret) {
		this.inputSecret = inputSecret;
	}

	public String getInputText() {
		return inputText;
	}

	public void setInputText(String inputText) {
		this.inputText = inputText;
	}

	public String getInputTextarea() {
		return inputTextarea;
	}

	public void setInputTextarea(String inputTextarea) {
		this.inputTextarea = inputTextarea;
	}

	public String getOutputLink() {
		return outputLink;
	}

	public void setOutputLink(String outputLink) {
		this.outputLink = outputLink;
	}

	public String getOutputText() {
		return outputText;
	}

	public void setOutputText(String outputText) {
		this.outputText = outputText;
	}

	public String getPanelGrid() {
		return panelGrid;
	}

	public void setPanelGrid(String panelGrid) {
		this.panelGrid = panelGrid;
	}

	public String getSelectBooleanCheckbox() {
		return selectBooleanCheckbox;
	}

	public void setSelectBooleanCheckbox(String selectBooleanCheckbox) {
		this.selectBooleanCheckbox = selectBooleanCheckbox;
	}

	public String getSelectManyListBox() {
		return selectManyListBox;
	}

	public void setSelectManyListBox(String selectManyListBox) {
		this.selectManyListBox = selectManyListBox;
	}

	public String getSelectManyMenu() {
		return selectManyMenu;
	}

	public void setSelectManyMenu(String selectManyMenu) {
		this.selectManyMenu = selectManyMenu;
	}

	public String getSelectOneListbox() {
		return selectOneListbox;
	}

	public void setSelectOneListbox(String selectOneListbox) {
		this.selectOneListbox = selectOneListbox;
	}

	public String getSelectOneMenu() {
		return selectOneMenu;
	}

	public void setSelectOneMenu(String selectOneMenu) {
		this.selectOneMenu = selectOneMenu;
	}

	public String getSelectOneRadio() {
		return selectOneRadio;
	}

	public void setSelectOneRadio(String selectOneRadio) {
		this.selectOneRadio = selectOneRadio;
	}

	public String getSelectManyCheckbox() {
		return selectManyCheckbox;
	}

	public void setSelectManyCheckbox(String selectManyCheckbox) {
		this.selectManyCheckbox = selectManyCheckbox;
	}

	public void setCommandLink(String commandLink) {
		this.commandLink = commandLink;
	}

	public String getSelectSkinning() {
		return selectSkinning;
	}

	public String getSkinning() {
		return skinning;
	}

	public void setSkinning(String skinning) {
		this.skinning = skinning;
	}

	public String getSkinningClass() {
		return skinningClass;
	}

	public void setSkinningClass(String skinningClass) {
		this.skinningClass = skinningClass;
	}

	public void setSelectSkinning(String selectSkinning) {
		if (selectSkinning.equals("SKINNING")) { 
			setSkinning("enable");
		} else if (selectSkinning.equals("SKINNING_CLASSES")) {
			setSkinning("disable");
			setSkinningClass("enable");
		} else {
			setSkinning("disable");
			setSkinningClass("disable");
		}
		this.selectSkinning = selectSkinning;
	}
}
